From 321d4ca0d75435880d2bb32d137b396c6dc210f6 Mon Sep 17 00:00:00 2001
From: Juan Jose Santamaria Flecha <juanjo.santamaria@gmail.com>
Date: Tue, 28 Feb 2023 11:38:03 -0500
Subject: [PATCH] remove useless test from collate.windows.win1252

The to_char() and to_date() tests are useless without the 'tr_TR' collation.
---
 .../regress/expected/collate.windows.win1252.out   | 24 ----------------------
 src/test/regress/sql/collate.windows.win1252.sql   | 13 ------------
 2 files changed, 37 deletions(-)

diff --git a/src/test/regress/expected/collate.windows.win1252.out b/src/test/regress/expected/collate.windows.win1252.out
index 869808c..61b4211 100644
--- a/src/test/regress/expected/collate.windows.win1252.out
+++ b/src/test/regress/expected/collate.windows.win1252.out
@@ -361,30 +361,6 @@ SELECT relname FROM pg_class WHERE relname ~* '^abc';
 ---------
 (0 rows)
 
--- to_char
-SET lc_time TO 'de-DE';
-SELECT to_char(date '2010-03-01', 'DD TMMON YYYY');
-   to_char
--------------
- 01 MRZ 2010
-(1 row)
-
-SELECT to_char(date '2010-03-01', 'DD TMMON YYYY' COLLATE "de_DE");
-   to_char
--------------
- 01 MRZ 2010
-(1 row)
-
--- to_date
-SELECT to_date('01 MR 2010', 'DD TMMON YYYY');
-ERROR:  invalid value "MR" for "MON"
-DETAIL:  The given value did not match any of the allowed values for this field.
-SELECT to_date('01 Mr 2010', 'DD TMMON YYYY');
-ERROR:  invalid value "Mr" for "MON"
-DETAIL:  The given value did not match any of the allowed values for this field.
-SELECT to_date('1234567890ab 2010', 'TMMONTH YYYY'); -- fail
-ERROR:  invalid value "1234567890ab" for "MONTH"
-DETAIL:  The given value did not match any of the allowed values for this field.
 -- backwards parsing
 CREATE VIEW collview1 AS SELECT * FROM collate_test1 WHERE b COLLATE "C" >= 'bbc';
 CREATE VIEW collview2 AS SELECT a, b FROM collate_test1 ORDER BY b COLLATE "C";
diff --git a/src/test/regress/sql/collate.windows.win1252.sql b/src/test/regress/sql/collate.windows.win1252.sql
index 132897e..b5c45e1 100644
--- a/src/test/regress/sql/collate.windows.win1252.sql
+++ b/src/test/regress/sql/collate.windows.win1252.sql
@@ -150,19 +150,6 @@ FROM collate_test6;
 SELECT relname FROM pg_class WHERE relname ~* '^abc';
 
 
--- to_char
-
-SET lc_time TO 'de-DE';
-SELECT to_char(date '2010-03-01', 'DD TMMON YYYY');
-SELECT to_char(date '2010-03-01', 'DD TMMON YYYY' COLLATE "de_DE");
-
--- to_date
-
-SELECT to_date('01 MR 2010', 'DD TMMON YYYY');
-SELECT to_date('01 Mr 2010', 'DD TMMON YYYY');
-SELECT to_date('1234567890ab 2010', 'TMMONTH YYYY'); -- fail
-
-
 -- backwards parsing
 
 CREATE VIEW collview1 AS SELECT * FROM collate_test1 WHERE b COLLATE "C" >= 'bbc';
-- 
2.11.0

